// Import Bulma's core
@import "~bulma/sass/utilities/functions";

// Colors
$grey-light : #cecece;
$grey-very-light : #ececec;
$grey : #999999;
$grey-dark: #5f5f5f;
$brown-grey : #a4a4a4;
$soft-blue: hsl(236, 74%, 65%);
$periwinkle: hsl(226, 100%, 77%);
$periwinkle-invert: findColorInvert($periwinkle);
$periwinkle-light: hsl(226, 100%, 89%);
$periwinkle-light-invert: findColorInvert(hsl(226, 100%, 89%));
$pale-grey : #f2f5ff;
$pale-grey-two: #fafbfd;
$pale-grey-two-2 : #f0f4ff;
$pale-grey-three: #f7f9ff;
$periwinkle-blue : #89a4ff;
$alerte-non-lue: #f9fafd;
$white-1: #f9f9f9;
$yellow-groupe : #fef7df;
$macaroni-and-cheese: #CA9905;
$golden: #f2b705;

$primary: $soft-blue;
$primary-invert: findColorInvert($primary);
$primary-light: $periwinkle;
$primary-light-invert: $periwinkle-invert;
$primary-lighter: $periwinkle-light;
$primary-lighter-invert: $periwinkle-light-invert;
$list-item-border-color: #e0e0e0;
$list-item-border-color-blue : rgba(102, 110, 232, 0.2);
$activity-type-none: $list-item-border-color;
$activity-type-mission: #12b9f4;
$activity-type-formation: #973cb9;
$activity-type-preparation: #ff9a00;
$activity-type-soutien: #91c000;
$activity-type-divers: #8c7f7f;
$activity-type-none: $list-item-border-color;
$puce-disponible: #32d0b5;
$puce-indisponible: #db2c66;
$mtmodal-background: rgba(255, 255, 255, 0.55);

$custom-colors: ("primary-light": ($primary-light, $primary-light-invert), "primary-lighter": ($primary-lighter, $primary-lighter-invert));

// Links
$link: $grey-dark;
$link-invert: findColorInvert($link);
$link-focus-border: $primary;

// Font
$family-sans-serif: 'Source Sans Pro', sans-serif;
$family-primary: $family-sans-serif;

$size-6-5 : 0.9rem;

// Size et gap
$column-gap: 0.25rem;
$mt-padding-container: 12px;
$mt-container-width: 850px + (2 * $mt-padding-container);
$mt-container-small-width: 650px + (2 * $mt-padding-container);

//border-radius
$border-radius : 4px;

//Mixins
@mixin mt-row-container {
  position: absolute;
  width: 100vw;
  @media screen and (min-width: $mt-container-width) {
    margin-left: calc((100vw - #{$mt-container-width}) / (-2) - #{$mt-padding-container});
  }
}
@mixin mt-row-container-small {
  position: absolute;
  width: 100vw;
  @media screen and (min-width: $mt-container-small-width) {
    margin-left: calc((100vw - #{$mt-container-small-width}) / (-2) - #{$mt-padding-container});
  }
}

@import "~bulma/sass/utilities/initial-variables";
@import "~bulma/sass/utilities/derived-variables";
@import "~bulma/sass/utilities/mixins";


